# vim: set sw=4 ts=4 et nu:
#
# spec file for package perl-Scrappy
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Scrappy
Version:        0.94111610
Release:        3.1
Summary:        All Powerful Web Spidering, Scrapering, Crawling Framework
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Source:         http://search.cpan.org/CPAN/authors/id/A/AW/AWNCORP/Scrappy-%{version}.tar.gz
Url:            http://search.cpan.org/dist/Scrappy
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  make
BuildRequires:  perl-macros
BuildRequires:  perl(Array::Unique)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(DateTime::Format::SQLite)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.31
BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(File::ShareDir)
BuildRequires:  perl(File::ShareDir::Install) >= 0.03
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(File::Util)
BuildRequires:  perl(HTML::TreeBuilder)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Parallel::ForkManager)
BuildRequires:  perl(String::TT)
BuildRequires:  perl(Template)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(URI)
BuildRequires:  perl(WWW::Mechanize)
BuildRequires:  perl(Web::Scraper)
BuildRequires:  perl(YAML::Syck)
Requires:       perl(Array::Unique)
Requires:       perl(Cwd)
Requires:       perl(DateTime)
Requires:       perl(DateTime::Format::SQLite)
Requires:       perl(File::Find::Rule)
Requires:       perl(File::ShareDir)
Requires:       perl(File::Slurp)
Requires:       perl(File::Util)
Requires:       perl(HTML::TreeBuilder)
Requires:       perl(Moose)
Requires:       perl(Parallel::ForkManager)
Requires:       perl(String::TT)
Requires:       perl(Template)
Requires:       perl(Try::Tiny)
Requires:       perl(URI)
Requires:       perl(WWW::Mechanize)
Requires:       perl(Web::Scraper)
Requires:       perl(YAML::Syck)
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description
Scrappy is an easy (and hopefully fun) way of scraping, spidering, and/or
harvesting information from web pages, web services, and more. Scrappy is
a feature rich, flexible, intelligent web automation tool.

Scrappy (pronounced Scrap+Pee) == 'Scraper Happy' or 'Happy Scraper'; If
you like you may call it Scrapy (pronounced Scrape+Pee) although Python
has a web scraping framework by that name and this module is not a port of
that one.

%package -n scrappy
Summary:        Web Spidering, Scrapering, Crawling Command-Line Tool
Group:          Productivity/Networking/Web/Utilities
Requires:       %{name} = %{version}

%description -n scrappy
Scrappy is an easy (and hopefully fun) way of scraping, spidering, and/or
harvesting information from web pages, web services, and more. Scrappy is
a feature rich, flexible, intelligent web automation tool.

%prep
%setup -q -n "Scrappy-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?_smp_flags}

%install
%perl_make_install

find "%{buildroot}%{perl_vendorlib}/" -type f -name '*.bak' -exec %__rm {} \;

%__rm -f "%{buildroot}%{perl_vendorlib}"/{perlcritic,perltidy}.pl

%perl_process_packlist

mkdir .doc.scrappy
for f in LICENSE README; do
    %__ln_s -f "../%{name}/${f}" .doc.scrappy/
done

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc LICENSE README
%{perl_vendorlib}/Scrappy.pm
%{perl_vendorlib}/Scrappy
%dir %{perl_vendorlib}/auto/share
%dir %{perl_vendorlib}/auto/share/dist
%{perl_vendorlib}/auto/share/dist/Scrappy
%doc %{perl_man3dir}/Scrappy.%{perl_man3ext}%{ext_man}
%doc %{perl_man3dir}/Scrappy::*.%{perl_man3ext}%{ext_man}

%files -n scrappy
%defattr(-,root,root)
%doc .doc.scrappy/*
%{_bindir}/scrappy
%doc %{_mandir}/man1/scrappy.1%{ext_man}

%changelog
* Sat Jun 11 2011 pascal.bleser@opensuse.org
- update to 0.94111610
* Tue May 17 2011 pascal.bleser@opensuse.org
- update to 0.94111370
* Sun May  8 2011 pascal.bleser@opensuse.org
- update to 0.94111280:
  * fixed a major bug in the download action
  * added first, last and each methods to parser
- add dependency on String::TT
* Sat May  7 2011 pascal.bleser@opensuse.org
- update to 0.94111260:
  * changed project creation script in Scrappy::Action::Generate
  * added native Data::Dumper::Dumper() support via the dumper() method
  * parser no longer croaks on "no html source" and simply returns an empty
    arrayref
* Fri May  6 2011 pascal.bleser@opensuse.org
- update to 0.93111250:
  * added action to allow the scrappy cli to download webpages
  * added Tiny::Try support to all get/post function so not to crash the
    calling app
  * fixed bug in the back() function
  * fixed bug download and store content saving functions
* Wed May  4 2011 pascal.bleser@opensuse.org
- update to 0.92111230
* Sat Apr 30 2011 pascal.bleser@opensuse.org
- update to 0.921111901
* Fri Apr 29 2011 pascal.bleser@opensuse.org
- update to 0.92111190
* Thu Apr 28 2011 pascal.bleser@opensuse.org
- update to 0.9111180
* Mon Apr 25 2011 pascal.bleser@opensuse.org
- update to 0.9111150
- add scrappy subpackage, which contains the command-line tool
* Sat Apr 23 2011 pascal.bleser@opensuse.org
- update to 0.9111121
* Fri Apr 22 2011 pascal.bleser@opensuse.org
- initial version (0.9111120)
